## libcrypt 3.4-maemo1

=== debian/changelog ===
libcrypt (3.4-maemo1) unstable; urgency=low

  * Maemo5 -fix

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 28 Feb 2011 00:20:00 +0200
