=== debian/control ===
Source: libcrypt
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libcrypt-dev
Section: libdevel
Architecture: any
Description: powerful security toolkit
 cryptlib is a powerful security toolkit that allows even 
 inexperienced crypto programmers to easily add encryption
 and authentication services to their software.
 http://www.cs.auckland.ac.nz/~pgut001/cryptlib/
 .
 This package contains development files.

#Package: libcrypt
#Section: libs
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: powerful security toolkit
# cryptlib is a powerful security toolkit that allows even 
# inexperienced crypto programmers to easily add encryption 
# and authentication services to their software.
# http://www.cs.auckland.ac.nz/~pgut001/cryptlib/
