## libcrypt 3.4-maemo2

=== debian/changelog ===
libcrypt (3.4-maemo2) unstable; urgency=low

  * Wrong file encodings on some files?

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 28 Feb 2011 11:35:00 +0200
