## libcrypt 3.4-maemo3

=== debian/changelog ===
libcrypt (3.4-maemo3) unstable; urgency=low

  * Optified.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 27 Mar 2011 18:20:00 +0200
