=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 3.7.2
 Section: libs
 
-Package: libcrypt-dev
+Package: libcrypt
 Section: libdevel
 Architecture: any
 Description: powerful security toolkit
@@ -14,9 +14,9 @@
  and authentication services to their software.
  http://www.cs.auckland.ac.nz/~pgut001/cryptlib/
  .
- This package contains development files.
+ This package contains also development files.
 
-#Package: libcrypt
+#Package: libcrypt-dev
 #Section: libs
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}
