=== debian/rules ===
--- 
+++ 
@@ -101,6 +101,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+#	maemo-optify
 	dh_md5sums
 	dh_builddeb
